import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './plugins/element.js'
import './assets/css/global.css'
import axios from 'axios'
import qs from 'qs'
Vue.config.productionTip = false
Vue.prototype.$axios = axios
Vue.prototype.$qs = qs
// axios.defaults.baseURL='http://localhost:5000'


// 设置一个请求的拦截器，来设置token
// 在往后端发送请求
axios.interceptors.request.use(
  config => {
    // 获取token，sessionStroage
    const tokenStr = window.sessionStorage.getItem('token')
    if (tokenStr) {
      config.headers.token = tokenStr
    }
    return config
  }
)
// 设置一个响应的拦截器，来处理token是否有效，如果无效，就跳转到登录页面
axios.interceptors.response.use(
  response => {
    console.log(response)
    if (response.data.status === 10016 || response.data.status === 10018) {}
    window.sessionStorage.removeItem('token')
    router.replace(
      {
        path: '/login'
      }
    )
    return response
  }
)
new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
